# Invoke-RASEnablePrintingScanning.md

## NAME

Invoke-RASEnablePrintingScanning

## SYNOPSIS

Invokes an Enable/Disable Printing/Scanning action.

## SYNTAX

\*\*Invoke-RASEnablePrintingScanning -[Enable](#enable-string) *(bool)* -[Id](#id-string) *(uint)* -[ObjType](#objtype) {RDSHost | Provider | AVDHostPool} -[Type](#Type) {Print | Scan\_Twain | Scan\_Wia} \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Invokes an Enable/Disable Printing/Scanning action.

## PARAMETERS

## ObjType

([PrintingScanningServerObjType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/printingscanningserverobjtype.md)) The Object Type for which to enable the Printing/Scanning settings.

Possible values: RDSHost, Provider, AVDHostPool

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The Printing/Scanning settings to enable/disable.

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Type ([UnivPrintScanType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/univprintscantype.md))

The ID of a server for which to enable the Printing/Scanning settings.

Possible values: Print, Scan\_Twain, Scan\_Wia

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Enable (bool)

Specifies whether to enable/disable the Printing/Scanning settings.

```
        Required?                    true

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Invoke-RASEnablePrintingScanning -ObjType RDSHost -Id 1 -Type Print -Enable $true

Enabled the pringing settings on the RDSHost with Id 1\
\*\*---------- EXAMPLE 2 ----------

Invoke-RASEnablePrintingScanning -ObjType Provider -Id 1 -Type Scan\_Wia -Enable $false

Disable the Wia scanning settings on the Provider with Id 1

## RELATED LINKS

* [Get-RASRDSHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasrdshost.md)
* [Get-RASProvider](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasprovider.md)
* [Get-RASAVDHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasavdhostpool.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasenableprintingscanning.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
